Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.google.gwt.i18n.client
Annotation Type CustomDateTimeFormat.Pattern

    public static @interface CustomDateTimeFormat.Pattern

Annotation containing the pattern skeleton.

The order of pattern characters and any literals don't matter, just which pattern characters are present and their counts. deprecated use `CustomDateTimeFormat.Pattern` instead

Required Element Summary
`java.lang.String` | `value` The pattern skeleton for which to generate a localized pattern.

Element Detail

### value

    public abstract java.lang.String value

  The pattern skeleton for which to generate a localized pattern. Note that the order of pattern characters don't matter, as the generated pattern will be derived from a localized pattern that conveys the same information.

  Returns:
    the pattern skeleton

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT